package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SimulateResultDto;
import com.huatek.busi.entity.AssessInputData;
import com.huatek.busi.entity.BusiDrivepipeEvaluationResults;
import com.huatek.busi.vo.AssessInputDataVo;
import com.huatek.busi.where.SimulateResultSelectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface SimulateResultMapper {
    Page<SimulateResultDto> list(SimulateResultSelectVo simulateResultSelectVo);

    List<SimulateResultDto> listSimulate(@Param("equipmentType") String equipmentType,@Param("pId") String pId);

    Map<String, Object> simulate(Map<String, Object> mainId);

    Page<BusiDrivepipeEvaluationResults> drivepipeList(SimulateResultSelectVo simulateResultSelectVo);

    Page<SimulateResultDto> findOilList(SimulateResultSelectVo simulateResultSelectVo);

    String findFilePath(@Param("id")String id, @Param("pid")String pid);

    List<AssessInputDataVo> findAssessList();

    List<AssessInputData> findListByJudgment(@Param("nameId")String nameId, @Param("num")String num);

    String findMaxCount();

    String findMaxNum();

    List<AssessInputData> findAssessAllList();
}
